
Redmine - Defect #8067

CSV exporting in Italian locale

2011-04-05 07:41 - Andrea Saccavini

Status: Closed Start date: 2011-04-05

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: I18n Estimated time: 0.00 hour

Target version: 1.1.3   

Resolution: Fixed Affected version: 1.0.5

Description

Exactly as in issue #7875, italian uses ";" as field separator and "," as decimal separator.

I had modified the it.yml as in attached file but it don't works properly: if I export from timelog report, all the time values are exported

using "." separator instead of ",".

Related issues:

Related to Redmine - Defect #7875: CSV export separators in polish locale (pl... Closed 2011-03-15

Associated revisions

Revision 5322 - 2011-04-05 14:15 - Jean-Philippe Lang

Set CSV separator to ; and decimal separator to , for italian (#8067).

History

#1 - 2011-04-05 09:00 - Etienne Massip

- Category set to I18n

- Target version set to Candidate for next minor release

#2 - 2011-04-05 14:16 - Jean-Philippe Lang

- File timelog.csv.txt added

- Status changed from New to Closed

- Target version changed from Candidate for next minor release to 1.1.3

- Resolution set to Fixed

Change done in r5322. The CSV export is actually OK. You can check it by opening the exported file with a text editor.

Example attached.

#3 - 2011-04-05 16:00 - Andrea Saccavini

GREAT!!! Thanks a lot.

Files

it.yml 40.3 KB 2011-04-05 Andrea Saccavini

timelog.csv.txt 347 Bytes 2011-04-05 Jean-Philippe Lang
